/* _content/HpqWebApp/Components/Layout/MainLayout.razor.rz.scp.css */

.page[b-xd60nvebaa] {
    display: flex;
    flex-direction: column;
    height: 100%;
}

/*�w�b�_�|�S��*/
.app-header[b-xd60nvebaa] {
    position: sticky;
    top: 0;
    z-index: 100;
    background-color: #A6004F;
    display: flex;
    flex-shrink: 1;
}

/* �X�}�z�������c */
@media (max-width: 640.98px) {
    .app-header[b-xd60nvebaa] {
        flex-direction: column;
    }
}

/*�ց[�_�[�^�C�g��*/
.header-row[b-xd60nvebaa] {
    display: flex;
    align-items: center;
    min-height: 3.5rem;
    padding: 0.5rem 1rem;
    color: white;
}

/*�ց[�_�[�^�C�g��*/
.header-title[b-xd60nvebaa] {
    font-size: 1.1rem;
    font-weight: 600;
    flex: 1;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.header-nav[b-xd60nvebaa] {
    background-color: rgba(0,0,0,0.4);
    width: 100%;
}

.header-row[b-xd60nvebaa]  a, .header-row[b-xd60nvebaa]  .btn-link {
    white-space: nowrap;
    margin-left: 1.5rem;
    text-decoration: none;
}

    .header-row[b-xd60nvebaa]  a:hover, .header-row[b-xd60nvebaa]  .btn-link:hover {
        text-decoration: underline;
    }

    .header-row[b-xd60nvebaa]  a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }


@media (max-width: 640.98px) {
    .header-row[b-xd60nvebaa] {
        justify-content: space-between;
    }

        .header-row[b-xd60nvebaa]  a, .header-row[b-xd60nvebaa]  .btn-link {
            margin-left: 0;
        }
}

@media (min-width: 641px) {
    .page[b-xd60nvebaa] {
        display: flex;
        flex-direction: column;
    }

    .header-nav[b-xd60nvebaa] {
        display: flex;
        height: auto;
        min-height: 2.5rem;  
        padding: 0.3rem 1rem;
    }

    .header-row[b-xd60nvebaa] {
        top: 0;
        z-index: 1;
    }

        .header-row.auth[b-xd60nvebaa]  a:first-child {
            flex: 1;
            text-align: right;
            width: 0;
        }

    .header-row[b-xd60nvebaa], article[b-xd60nvebaa] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}


#blazor-error-ui[b-xd60nvebaa] {
    color-scheme: light only;
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    box-sizing: border-box;
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss[b-xd60nvebaa] {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }
/* _content/HpqWebApp/Components/Layout/NavMenu.razor.rz.scp.css */
/*�T�C�h���j���[�̃f�U�C�����܂��Ɍ��߂�
�X�}�z�p��� navbar-toggler
*/

/*�X�}�z�p���j���[ navbar-toggler*/
.navbar-toggler[b-3wtyksq9ly] {
    appearance: none;
    cursor: pointer;
    width: 2.5rem;
    height: 2.5rem;
    color: white;
    position: absolute;
    top: 0.5rem;
    bottom:0.5rem;
    right: 1rem;
    border: 1px solid rgba(255, 255, 255, 0.1);
    background: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28255, 255, 255, 0.55%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e") no-repeat center/1.75rem rgba(255, 255, 255, 0.1);
}

    .navbar-toggler:checked[b-3wtyksq9ly] {
        background-color: rgba(255, 255, 255, 0.5);
    }

.top-row[b-3wtyksq9ly] {
    min-height: 3.5rem;
    background-color: rgba(0,0,0,0.4);
}

.navbar-brand[b-3wtyksq9ly] {
    font-size: 1.1rem;
}

.nav-item[b-3wtyksq9ly] {
    display: inline-block;
    gap: 0.5rem;
}

    .nav-item:first-of-type[b-3wtyksq9ly] {
        padding-left: 1rem;
    }

    .nav-item:last-of-type[b-3wtyksq9ly] {
        padding-right: 1rem;
    }

    .nav-item[b-3wtyksq9ly]  .nav-link {
        color: #d7d7d7;
        background: none;
        border: none;
        border-radius: 4px;
        height: 2.2rem;
        display: inline-flex;
        align-items: center;
/*        line-height: 2.2rem;*/
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
    }

    .nav-item[b-3wtyksq9ly]  a.active {
        background-color: rgba(255,255,255,0.37);
        color: white;
    }

    .nav-item[b-3wtyksq9ly]  .nav-link:hover {
        background-color: rgba(255,255,255,0.1);
        color: black;
    }

/*�X�}�z�̎��@navbar-toggler�n���o�[�K�[�\���@
    nav-scrollable ���j���[��\��*/
.nav-scrollable[b-3wtyksq9ly] {
    display: none;
}

/*�`�F�b�N�����nav-scrollable ���j���[�\���@�c*/
.navbar-toggler:checked ~ .nav-scrollable[b-3wtyksq9ly] {
    display: flex;
}

/*PC�̎��@navbar-toggler�n���o�[�K�[������@nav-scrollable ���j���[�펞�\���i�����сj*/
@media (min-width: 641px) {
    .navbar-toggler[b-3wtyksq9ly] {
        display: none;
    }

    .nav-scrollable[b-3wtyksq9ly] {
        display: flex;
        flex: 1;
        align-items: center;
        justify-content: flex-start;
        height: auto;
        overflow: visible;
    }
}

/* �X�}�z */
@media (max-width: 640.98px) {

    .nav-scrollable[b-3wtyksq9ly] {
        display: none;
    }

    .navbar-toggler:checked ~ .nav-scrollable[b-3wtyksq9ly] {
        display: block;
    }
}
